Bug 33787 - FORMATTING, FILEOPEN: Bullet point numbers don't increment (.lwp import)
Summary: FORMATTING, FILEOPEN: Bullet point numbers don't increment (.lwp import)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords:
Depends on:
Blocks: TableofContents-Indexes LWP
  Show dependency treegraph
 
Reported: 2011-01-31 15:10 UTC by Jaxson Lee
Modified: 2022-07-27 09:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
lwp '97 file containing different styles of bullet points (21.24 KB, application/vnd.lotus-wordpro)
2011-01-31 15:10 UTC, Jaxson Lee
Details
PDF showing LWP '97 and LibO Writer 3.3.0 handling of bullets.lwp (182.59 KB, application/pdf)
2011-01-31 15:11 UTC, Jaxson Lee
Details
Intermediate format: StarOffice XML from LO 7.4.0 (58.74 KB, text/xml)
2022-07-10 23:01 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaxson Lee 2011-01-31 15:10:08 UTC
Created attachment 42782 [details]
lwp '97 file containing different styles of bullet points

The attached .lwp document uses all of the default styles built into Lotus Word Pro '97 for bullet points.

When opened in Writer, the numbered bullet points don't increment correctly. i.e. it shows as 1. 1. 1. rather than 1. 2. 3. and i. i. i. rather than i. ii. iii. 

There is one exception however - the uppercase roman numeral style of bullet does increment correctly (i.e. I. II. III.) and behave as expected. It'll even handle skipped bullet points correctly. It should therefore be a fairly easy fix to get the other number displays to work in the same way. 

I've also attached a .pdf with expected output and Writer output.
Comment 1 Jaxson Lee 2011-01-31 15:11:17 UTC
Created attachment 42783 [details]
PDF showing LWP '97 and LibO Writer 3.3.0 handling of bullets.lwp
Comment 2 Björn Michaelsen 2011-12-23 11:43:04 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2012-02-23 04:28:11 UTC
reproduced in 3.6.0 master on Fedora 64 bit
And on console appears this:
warn:legacy.osl:6959:1:/usr/src/libre-master/core/sw/source/filter/ww8/ww8par.cxx:3170: WW8: Please report this document, it may have a missing graphic
warn:legacy.osl:6959:1:/usr/src/libre-master/core/xmloff/source/core/xmlerror.cxx:195: An error or a warning has occurred during XML import/export!
Error-Id: 0x10020002
    Flags: 1 WARNING
    Class: 2 FORMAT
    Number: 2
Parameters:
    0: style:font-name-asian
    1: 
Exception-Message:
Comment 4 bfoman (inactive) 2013-07-26 12:57:27 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Same results as in reporter's PDF.
Comment 5 QA Administrators 2015-04-19 03:19:55 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-15 07:37:14 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-09-20 10:00:29 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 13:55:26 UTC Comment hidden (obsolete)
Comment 9 Julien Nabet 2020-09-08 13:49:17 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed same kinds of logs as Sasha (see comment 3)
Comment 10 Jan Švanda 2022-05-29 04:31:28 UTC
Still repro in:

Version: 7.4.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: bbec710bd25fc5da27636cde73fe4ab23c76904f
CPU threads: 12; OS: Windows 10.0 Build 19043; UI render: Skia/Vulkan; VCL: win
Locale: cs-CZ (cs_CZ); UI: en-US
Calc: CL
Comment 11 Bartosz 2022-07-10 23:01:20 UTC
Created attachment 181218 [details]
Intermediate format: StarOffice XML from LO 7.4.0
Comment 12 Commit Notification 2022-07-21 07:12:39 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a0bcd1d187a4e56a9fa600462842004545b6be9c

tdf33787 lotuswordpro: fix increments of ordered bullets

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-07-26 12:58:49 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/55a360860e9c5c608326656a7cf56a0b86f2f7c7

tdf33787 lotuswordpro: fix increments of ordered bullets

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Bartosz 2022-07-27 09:55:15 UTC
The issue was fixed. 
Remainging issue with default (not ordered) bullets will be covered with ticket:
https://bugs.documentfoundation.org/show_bug.cgi?id=33838